SoLocalBBoxMatrixElement(3)

NAME
SoLocalBBoxMatrixElement - The SoLocalBBoxMatrixElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoLocalBBoxMatrixElement.h>

Inherits SoElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
FIXME: write doc.
virtual SbBool matches (const SoElement *element) const
FIXME: write doc.
virtual SoElement * copyMatchInfo (void) const
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void makeIdentity (SoState *const state)
FIXME: write doc.
static void set (SoState *const state, const SbMatrix &matrix)
FIXME: write doc.
static void mult (SoState *const state, const SbMatrix &matrix)
FIXME: write doc.
static void translateBy (SoState *const state, const SbVec3f &translation)
FIXME: write doc.
static void rotateBy (SoState *const state, const SbRotation &rotation)
FIXME: write doc.
static void scaleBy (SoState *const state, const SbVec3f &scaleFactor)
FIXME: write doc.
static SbMatrix pushMatrix (SoState *const state)
FIXME: write doc.
static void popMatrix (SoState *const state, const SbMatrix &matrix)
FIXME: write doc.
static void resetAll (SoState *const state)
FIXME: write doc.
static const SbMatrix & get (SoState *const state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoLocalBBoxMatrixElement ()

  Protected Attributes
SbMatrix localMatrix

  Additional Inherited Members

Detailed Description

The SoLocalBBoxMatrixElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoLocalBBoxMatrixElement::~SoLocalBBoxMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLocalBBoxMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoLocalBBoxMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoLocalBBoxMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoLocalBBoxMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoLocalBBoxMatrixElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value for localMatrix and modelInverseMatrix is the identity matrix.

Reimplemented from SoElement.

  void SoLocalBBoxMatrixElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  SbBool SoLocalBBoxMatrixElement::matches (const SoElement * element) const [virtual]

FIXME: write doc.

Implements SoElement.

  SoElement * SoLocalBBoxMatrixElement::copyMatchInfo (void) const [virtual]

FIXME: write doc.

Implements SoElement.

Member Data Documentation

  SoLocalBBoxMatrixElement::localMatrix [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.